%define upstream_name    Test-Classy
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Write your unit tests in other modules than *.t
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::UseAllModules)
BuildArch: noarch

%description
This is yet another the Test::Class manpage-like unit testing framework. As
stated in the Test::Class manpage pod, you don't need to care if your tests
are small and working correctly. If not, this may be one of your options.

Unlike the Test::Class manpage, Test::Classy (actually Test::Classy::Base)
is based on the Test::More manpage and exports everything the Test::More
manpage exports. Test::Classy doesn't control test flow as fully as the
Test::Class manpage, but it may be easier to skip and limit tests.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 741066
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 686411
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 515089
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 373417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 308795
- imported package perl-Test-Classy


* Sun Oct 21 2012 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
